db4o |

# ObjectCallbacks Methods

The methods of the ObjectCallbacks interface are listed below. For a complete list of ObjectCallbacks interface members, see the ObjectCallbacks Members topic.

#### Public Instance Methods

ObjectCanActivate | called before an Object is activated.
ObjectCanDeactivate | called before an Object is deactivated.
ObjectCanDelete | called before an Object is deleted.
ObjectCanNew | called before an Object is stored the first time.
ObjectCanUpdate | called before a persisted Object is updated.
ObjectOnActivate | called upon activation of an object.
ObjectOnDeactivate | called upon deactivation of an object.
ObjectOnDelete | called after an object was deleted.
ObjectOnNew | called after a new object was stored.
ObjectOnUpdate | called after an object was updated.

#### See Also

ObjectCallbacks Interface | com.db4o.ext Namespace